<!DOCTYPE html>


</style>




<script src="facturacion/qrious.js"></script>

<html lang="en" class="fa-events-icons-ready"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<?php

$bodega=$_POST["bodega"];
include("datosimpresion.php");

?> 

<?php

use PhpParser\Node\Expr\Isset_;

$idc=$_POST["idc"];
$nombrec=$_POST["nombrec"];
$direc=$_POST["direc"];
$nombrev=$_POST["nombrev"];
$fecha=$_POST["fecha"];
$factura=$_POST["numf"];
$correo=$_POST["correo"];
$detalleFa=$_POST["detallef"];
$tipofactura=$_POST["tipofactura"];
$descuento=$_POST["descuento"];
$regimen=$_POST["regimen"];
$telclien=$_POST["telcli"];
$profeijoFa=$profijo;
$valorcufe=0;
$cufe=0;

$efectivo=$_POST["efectivo"];
$trasferencias=$_POST["tcred"];
$tarejtas=$_POST["tdebi"];
$propina=$_POST["propina"];
$mostrarIvas=true;
if($tipofactura=="Pos"){
   $mostrarIvas=false;
}
$valorCrdito=0;
if(isset($_POST["credit"])){
   $valorCrdito=$_POST["credit"];
}
if($tipofactura=="Pos" && $nit==""){
   $tipofactura= "RECIBO DE CAJA";
  
}else{
   if($nit=="1088280263" && $tipofactura=="Pos"){
      $tipofactura= "CUENTA DE COBRO";
    
      
  }elseif($tipofactura=="Pos"){
      $tipofactura= "ORDEN PEDIDO";
      
   }
   
   
}


if(isset($_POST["valorcufe"])){


   $valorcufe=$_POST["valorcufe"];
   if($valorcufe==1){
      $profeijoFa=$prefijoElectro;
   }
}

$rpos=0;
if(isset($_POST["tipoelectrono"])){
   if($_POST["tipoelectrono"]==1){
      $tipofactura="Pos_Elec";
      $rpos=1;
   }
}


?>
   
    
      <link href="facturacion/fact/bootstrap.min.css" rel="stylesheet">
    
      <link href="facturacion/fact/style.css" rel="stylesheet">
   </head>
   <body class="" id="cuerpo" data-new-gr-c-s-check-loaded="" data-gr-ext-installed=""   >
      
         <!-- Container --> 
         <!--  container-fluid Billig-container -->
         <div class=" shadow-sm">
            <!-- Header -->
            <header>
               <div class="row align-items-center ">

               <?php
  if($logo != ""){
   echo("
   <div class='col-4'>
       <img id='logo' src='facturacion/$logo'.jpg title='Billig' alt='Billig' style='width: 100%; height: 100%; object-fit: cover;'>
   </div>
   ");
}
   ?>
                  

                  <div class="col-4 order-sm-0  ">
                     
                     <strong><?php print($nombreNegocio); ?></strong>
                     <address>
                     <?php print($representante ); ?><br>
                     <?php print($nit ); ?><br>
                      <?php print($tel); ?>
                        <?php print($direccion); ?>
                     </address>
                  </div>

                  <div class="col-4 text-end ">
                     <h4 class="mb-0 text-uppercase"> <?php print($tipofactura); ?> </h4>
                     <h5 class="mb-0"><strong>No: <?php print($factura); ?></strong></h5>
                     <p class="mb-0"><strong>Fecha:</strong> <?php print($fecha); ?></p>
                     <p class="mb-0"><strong>Asesor:</strong> <?php print($nombrev); ?></p>

                    
                  </div>
               </div>
               


              
              
            </header>
            _______________________________________________________________________________________________________________________
            <!-- Main Content -->
            <main>
             

            

               <div class="row">
              
                  <div class="col-12 order-sm-0">
                      
                     <div class="row ">
                        <div class="col  " >
                        CLIENTE: <strong> <?php print( $idc."  ". $nombrec ); ?><br></strong>
                        
                           <address>
                           Direccion: <strong> <?php print($direc ." ".$nombreCity  ); ?><br></strong> 
                        
                           Telefono:  <strong><?php print($telclien); ?><br></strong>
                          Correo: <strong> <?php print($correo ); ?></strong>
                           </address>

                        </div>

                        <div class="col ">

                        <address><strong>Comentario :</strong> <?php echo($detalleFa); ?></address> 

                     </div>
                     
                        <?php

if(isset($_POST["valorcufe"])){
   $valorcufe=$_POST["valorcufe"];
         if($valorcufe==1){





            echo("
            <div class='col text-end '>
            <address>
               R.dian: $ResolucionElectronico  del  $Efecha <br>
               Prefijo: $prefijoElectro  Rango:$Erango <br>
               Vigencia:$Evigencia 
            </address>
            </div>
      ");
         }else{

            if($r_dian==""){

            }else{
               echo("
               <div class='col text-end '>
               <address>
                  R.dian: $r_dian  del  $fechaResol <br>
                  Prefijo: $profijo  Rango: $rango <br>
                  Vigencia:$vigencia 
                  </address>   
               </div>
             ");
            }
         }
      
      
      
      
      }


                        ?>



</div>
                  </div>


                        <?php

                        $produc=$_POST["factura"];
                        $fila = json_decode($produc,true);  
                        $total=$_POST["total"];
                        //regimen comun
                        // $iva5=(int) $_POST["iva5"];
                        // $iva19=(int)$_POST["iva19"];
                        // $base5=(int)$_POST["base5"];
                        // $base19=(int)$_POST["base19"];
                        // $excento=(int)$_POST["excento"];
                        // $totaliva=(int)$iva5+$iva19;
                        // $otroiva=$_POST["otroiva"];
                        // $baseotro=$_POST["baseotro"];

                        // $ivaipc=$_POST["ivaipc"];
                        // $baseipc=$_POST["baseipc"];

                        // Convertir todos los valores a decimales con dos dígitos
                        
                        $iva5     = number_format((float)$_POST["iva5"], 2, '.', '');
                        $iva19    = number_format((float)$_POST["iva19"], 2, '.', '');
                        $base5    = number_format((float)$_POST["base5"], 2, '.', '');
                        $base19   = number_format((float)$_POST["base19"], 2, '.', '');
                        $excento  = number_format((float)$_POST["excento"], 2, '.', '');
                        $otroiva  = number_format((float)$_POST["otroiva"], 2, '.', '');
                        $baseotro = number_format((float)$_POST["baseotro"], 2, '.', '');
                        $ivaipc   = number_format((float)$_POST["ivaipc"], 2, '.', '');
                        $baseipc  = number_format((float)$_POST["baseipc"], 2, '.', '');
  $excluido=number_format((float)$_POST["excluido"], 2, '.', '');
                        // Asignación del valor de $ivaipc a $ipConsumo

                        $totalExenExcl=$excluido+$excento;

                        // $excluido=(int)$_POST["excluido"];
                        $cambio=(int)$_POST["devuleta"];

                        

                        $totaliva=$iva5 +$iva19 +$otroiva;
                        





                         $subtotal=$base19+$base5+$excento+$excluido+$baseotro+$baseipc;
                       // $subtotal= ($total+$descuento) -$totaliva;
                        ?>

               </div>
            
               
           
              
           
               <div class="card" >
                  <div class="card-body p-0">
                     <div class="">
                        <table class="table-bordered " id="tablap" >
                           <thead>
                           <tr>
                     

                              <td class="col-1 border-1"><strong>Codigo</strong></td>
                              <td class="col-7 border-1"><strong>Nombre</strong></td>
                              <td class="col-1 border-1"><strong>V.Antes.Iva</strong></td>
                              <td class="col-1 border-1 text-"><strong>Caja</strong></td>
                              <td class="col-1  border-1"><strong>Frcc</strong></td>
                              <td class="col-1  border-1"><strong>Base</strong></td>
                              <td class="col-1 border-1"><strong>Impu</strong></td>
                              <td class="col-1 border-1"><strong>tipo.Impu</strong></td>
                              <td class="col-1  border-1"><strong>Descu</strong></td>
                              <td class="col-1 border-1"><strong>Total</strong></td>
                           </tr>
                        </thead>
                           <tbody>
                           <?php
                          
                          require_once("../../controlador/conexion/conexion.php");
                          $conectar=new conexion();
                           
                           $conn=$conectar->conectar();
                      ?>
                           <?php
               foreach($fila as $valor) {
                  $codigo=$valor["Codigo"];
                  $nombre=$valor["Nombre"];
                  $caja=$valor["Cantida_caja"];
                  $frcc=$valor["Cantida_frcc"];
                  $valot=($precio=$valor["precio"]);

                
                     $tipoiva=$valor["tipo"];
                     $Base=($valor["Base"]);
                     $iva=number_format($valor["iva"]);
               
               

                  $Descu=number_format($valor["Descu"]);
                  
                  $marcar="SELECT * FROM `productos` INNER JOIN marca on productos.codmarca=marca.codmarca where codigo='$codigo'"; 
                  $ejecutar= $conn->query($marcar);
                  $resultado=mysqli_fetch_object($ejecutar);
                   $marca=$resultado->nommarca;             


                  if(!is_numeric($frcc)){
                     $frcc=0;
                     }
                     if(!is_numeric($caja)){
                        $caja=0;
                     }
                  
                  
                  if($Base==0){
                     
                  if($frcc==0 and $caja>0){
                     $totalunida=$valot/$caja;
                  }elseif($frcc>0 and $caja==0){
                     $totalunida=$valot/$frcc;

                  }elseif($frcc>0 and $caja>0){

                     $totalunida=($valot/$caja);
                     


                  }   
                     
                  }else{
               
                  if($frcc==0 and $caja>0){
                     $totalunida=$Base/$caja;
                  }elseif($frcc>0 and $caja==0){
                     $totalunida=$Base/$frcc;

                  }elseif($frcc>0 and $caja>0){

                     $totalunida=($Base/$caja);
                     


                  }
                  
                  }
                  $Base=number_format($Base);
               $valot =number_format($valot);
               $totalunida=number_format($totalunida);

                        //mostrar lotes de venciemintos
                        $mostrarVecimientos=["2352342233","75003092","10013821","24810597","4415396"];
                        $mostrarVen=false;
                        if (in_array($nit, $mostrarVecimientos)) {
                           $mostrarVen=true;
                        }
                        //mostrar lotes de venciemintos

                        if(isset($valor["idvencimeinto"])){
                           $idvencimeinto=substr($valor["idvencimeinto"],0,100);
                        }else{
                           $idvencimeinto="";
                        }
                     
                        if($mostrarVen==false){
                           $idvencimeinto="";
                        }

                        if($mostrarIvas==false){
                           $tipoiva=0;
                           $Base=0;
                           $iva=0;
                        }


       
         echo("
               <tr>  
               
               <td class='col-1'>$codigo 
               <td class='col-7 border-1'>$nombre ($marca) $idvencimeinto
               <td class='col-1'>$totalunida 
               <td class='col-1'>$caja
               <td class='col-1'>$frcc
               <td class='col-1'>$Base
               <td class='col-1'>$iva
               <td class='col-1'>$tipoiva
               <td class='col-1'>$Descu
               <td class='col-1'>$valot
               </tr>
               ");
      
            }
     		


            if($mostrarIvas==false){

               $subtotal=0;
            }



?>





                            






                              <tr>
                                 <td colspan="9" class="bg-light-2 text-end"><strong>Sub Total:</strong></td>
                                 <td class="bg-light-2 text-end"><strong><?php echo(number_format($subtotal)); ?></strong></td>
                              </tr>
                              <?php
                              if($regimen==1 && $mostrarIvas){
                                 echo("
                                 <tr>
                                 <td colspan='9' class='bg-light-2 text-end'><strong>Impuesto</strong></td>
                                 <td class='bg-light-2 text-end'> <strong> ". number_format($totaliva) ."</strong> </td>
                              </tr>
                                 ");
                              }

                              ?>
                             
                             
                              <?php
                              if($descuento>0){
                                 echo("
                                 <tr>
                                 <td colspan='9' class='bg-light-2 text-end'><strong>Ahorro</strong></td>
                                 <td class='bg-light-2 text-end'> <strong> ". number_format($descuento) ."</strong> </td>
                              </tr>
                                 ");
                              }
                             
                              if($propina>0){
                                 echo("
                                 <tr>
                                 <td colspan='9' class='bg-light-2 text-end'><strong>Servicio</strong></td>
                                 <td class='bg-light-2 text-end'> <strong> ". number_format($propina) ."</strong> </td>
                              </tr>
                                 ");
                              }

                              ?>
                       
                              <tr>
                                 
                              <?php if($valorCrdito>0){
                                 $col1=4;
                                 $col2=5;
                                 echo("
                               <td style='font-size: 2em;'  colspan='".$col1."' class='bg-light-2 text-end border-0'><strong>Valor Credito: ".number_format($valorCrdito)."</strong></td>
                              "); 
                              }else{
                                 $col2=9;  
                              }
                              ?>
                                <td style=" font-size: 2em;" colspan="<?php echo($col2); ?>" class="bg-light-2 text-end border-0"><strong>Total:</strong></td>
                                 <td class="bg-light-2 text-end border-0 " style=" font-size: 2em;"><strong><?php echo(number_format($total+$propina)); ?></strong></td>
                                 

                              </tr>
                           
                           </tbody>
                        </table>

<div class="row">
                         <div class="col-5 ">
                              <?php



                                          $total5=$base5+$iva5;
                                          $totall9=$base19+$iva19;
                                          $totalotro=$otroiva+$baseotro;
                                          $toalipc=$ivaipc+$baseipc;


                                          // $mostrarIvas=false;
                                          if($regimen==1 && $mostrarIvas){
                                          echo"<table  WIDTH='100%'  >
	          <tr class='sr'>
	           <th>Tipo
				  <th>Base
				  <th>impue
				  <th>Total              
       </tr>    
       ";
       if($excento>0){
         echo
          "
          <tr>    
          <td>0       
          <td>$excento
          <td>0
          <td>$excento
          </tr> 
         
         
         ";
      }
       if($excluido>0){
         echo
          "
          <tr>    
          <td>1         
          <td>$excluido
          <td>0
          <td>$excluido
          </tr>
          <tr> 
         
         
         ";
      }
       if($totall9>0){
         echo
          "
          <tr>    
       <td>19%        
       <td>$base19
       <td>$iva19
       <td>$totall9
       </tr>
       <tr> 
         
         
         ";
      }

       if($total5>0){
         echo
          "
          <tr> 
          <td>5%        
          <td>$base5
          <td>$iva5
          <td>$total5
          </tr>
         
         
         ";
      }

     			

if($toalipc>0){
   echo
    "
    <td>ipc       
    <td>$baseipc
    <td>$ivaipc
    <td>$toalipc
    </tr>
   
   
   ";
}
if($totalotro>0){
   echo
    "
    <td>p      
    <td>$baseotro
    <td>$otroiva
    <td>$totalotro
    </tr>
    </table><br>
   
   ";
}

echo
"</table><br>

";
   }
                                     ?>
                        </div>


            <div class="col-7 d-flex">
            <?php
             $cufe=preg_replace('/\s+/', '', $_POST["cufe"]);
             if($cufe==0 || $cufe=="0" || $cufe==" " || $cufe==""){
                $cufe=$factura;
             }
                        
                                 if($valorcufe==1){

                                    if($_POST["tipofactura"]=="Pos_Elec" || $rpos==1){
                                       if($cufe==0 || $cufe=="0" || $cufe==" " || $cufe==""){
                                          echo("
                                       <div id='qr' hidden class=''>
                                       <img alt='C贸digo QR'  id='codigo'>
                                       </div>
                                       <div  hidden class='col-6' >Cude:$cufe </div>");
                                       }else{
                                          echo("
                                       <div id='qr' class=''>
                                       <img alt='C贸digo QR'  id='codigo'>
                                       </div>
                                       <div  class='col-6' >Cude:$cufe </div>");
                                       }

                                    }else{
                                       if($cufe==0 || $cufe=="0" || $cufe==" " || $cufe==""){
                                          echo("
                                       <div id='qr' hidden class=''>
                                       <img alt='C贸digo QR'  id='codigo'>
                                       </div>
                                       <div  hidden class='col-6' >Cufe:$cufe </div>");
                                       }else{
                                          echo("
                                       <div id='qr' class=''>
                                       <img alt='C贸digo QR'  id='codigo'>
                                       </div>
                                       <div  class='col-6' >Cufe:$cufe </div>");
                                       }
                                    }
                                   
                                    
                                  



                              
                           }
                        ?>

            </div>
 </div>

                     </div>
                  </div>
               </div>
            </main>
            <!-- Footer -->
            <footer class="text-center mt-4">
               <?php
                        if(isset($_POST["copia"])=="copia"){
                           echo(" <p>Copia</p>");
                         }
               ?>
   

               <p class="text-1"><strong>NOTA :</strong> <?php echo( $mensajeFactur); ?></p>
               <h6>Software poscloud convenio www.clarisa.co </h6>
            </footer>
         </div>
        
   
         <script type='text/javascript'>


function imprimir(){
    window.print()
   //  
     let navegador = navigator.userAgent;
     if (navigator.userAgent.match(/Android/i) || navigator.userAgent.match(/webOS/i) || navigator.userAgent.match(/iPhone/i) || navigator.userAgent.match(/iPad/i) || navigator.userAgent.match(/iPod/i) || navigator.userAgent.match(/BlackBerry/i) || navigator.userAgent.match(/Windows Phone/i)) {
      
        } else{
         setTimeout(window.close, 300);
        }
 

    }

    setTimeout(imprimir,300);

 
 var valorcuf='<?php echo($valorcufe);  ?> '
 if(valorcuf==1){


    const $imagen = document.querySelector("#codigo")
			
		new QRious({
			element: $imagen,
         value: "https://catalogo-vpfe.dian.gov.co/document/searchqr?documentkey=<?php echo($cufe); ?>", // La URL o el texto
			size: 130,
			backgroundAlpha: 0, // 0 para fondo transparente
			foreground: "black", // Color del QR
			level: "Q", // Puede ser L,M,Q y H (L es el de menor nivel, H el mayor)
		});
 
 }


 
</script>
   
</body></html>
